Skip to content

GET /api/v3/accounts/{lcuid}/campaigns

Summary

GET accounts/{id}/campaigns

Description

Return a list of campaigns for an account

See Campaign Response Fields for more information on the campaign object

🔒 Required Permissions

At least one of the following permissions is required to access this endpoint:

  • account.viewCampaigns
  • agency.updateDeleteAllAgencyAccounts

Tags: accounts

Parameters

Header Parameters

Name Type Required Description Example
Authorization string ✓ Yes Bearer {AuthToken}
Content-Type string ✓ Yes application/json
Accept string ✓ Yes application/json
AppIdV3 string ✓ Yes LCUID-LAP-********-****-****-****-************

Responses

Response: 200

Description: Sample Response

Content Type: application/json

Schema

Type: object

Properties:

  • success (boolean)
  • campaigns (array)
  • Array items: object Type: object

    Properties:

    • name (string)
    • lcuid (string)
    • active (boolean)
    • created_at (string)
    • campaign_state (integer)
    • campaign_state_changed_at (string)
    • hash_id (string)
    • campaign_class (string)
    • campaign_class_description (string)
    • agencies (array)
    • options (object) Type: object

    Properties:

    • unique_board_sizes (string)
    • unique_board_formats (string)

    • schedule (string)

    • build_status (integer)
    • last_build_at (string)
    • child_campaigns (array)
    • parent_campaigns (array)
Example Response
{
    "success": true,
    "campaigns": [
        {
            "name": "Spring LC Outdoor Campaign",
            "lcuid": "LCUID-LE-e9c973cd-2994-4ca4-8169-18855e5705ca",
            "active": true,
            "created_at": "2026-02-03T18:12:50.000000Z",
            "campaign_state": 6,
            "campaign_state_changed_at": null,
            "hash_id": "lch-4CVA",
            "campaign_class": "App\\LuCore\\Campaigns\\OperatorContractCampaignClass",
            "campaign_class_description": "Media Owner Contract",
            "agencies": [],
            "options": {
                "unique_board_sizes": null,
                "unique_board_formats": null
            },
            "schedule": null,
            "build_status": 1,
            "last_build_at": null,
            "child_campaigns": [],
            "parent_campaigns": []
        },
        {
            "name": "Spring Breezy Outdoor Campaign",
            "lcuid": "LCUID-LE-c1322793-35bf-49d9-9233-2183831e5fba",
            "active": true,
            "created_at": "2026-02-03T18:12:50.000000Z",
            "campaign_state": 6,
            "campaign_state_changed_at": null,
            "hash_id": "lch-4CVB",
            "campaign_class": "App\\LuCore\\Campaigns\\OperatorContractCampaignClass",
            "campaign_class_description": "Media Owner Contract",
            "agencies": [],
            "options": {
                "unique_board_sizes": null,
                "unique_board_formats": null
            },
            "schedule": null,
            "build_status": 1,
            "last_build_at": null,
            "child_campaigns": [],
            "parent_campaigns": []
        },
        {
            "name": "Summer Breezy Outdoor Campaign",
            "lcuid": "LCUID-LE-0c7cd4d9-666c-4b59-9020-8dddc8e3ab3c",
            "active": true,
            "created_at": "2026-02-03T18:12:50.000000Z",
            "campaign_state": 6,
            "campaign_state_changed_at": null,
            "hash_id": "lch-4CVC",
            "campaign_class": "App\\LuCore\\Campaigns\\OperatorContractCampaignClass",
            "campaign_class_description": "Media Owner Contract",
            "agencies": [],
            "options": {
                "unique_board_sizes": null,
                "unique_board_formats": null
            },
            "schedule": null,
            "build_status": 1,
            "last_build_at": null,
            "child_campaigns": [],
            "parent_campaigns": []
        }
    ]
}

Example Implementations

Bash (cURL)

curl --request GET \
    --get "https://api.lucit.app/api/v3/accounts/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/campaigns" \
    --header "Authorization: Bearer {AuthToken}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --header "AppIdV3: LCUID-LAP-********-****-****-****-************"

JavaScript (Fetch API)

const url = new URL(
    "https://api.lucit.app/api/v3/accounts/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/campaigns"
);

const headers = {
    "Authorization": "Bearer {AuthToken}",
    "Content-Type": "application/json",
    "Accept": "application/json",
    "AppIdV3": "LCUID-LAP-********-****-****-****-************",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());

PHP (Guzzle)

$client = new \GuzzleHttp\Client();
$response = $client->get(
    'https://api.lucit.app/api/v3/accounts/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/campaigns',
    [
        'headers' => [
            'Authorization' => 'Bearer {AuthToken}',
            'Content-Type' => 'application/json',
            'Accept' => 'application/json',
            'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));

Python (Requests)

import requests
import json

url = 'https://api.lucit.app/api/v3/accounts/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/campaigns'
headers = {
  'Authorization': 'Bearer {AuthToken}',
  'Content-Type': 'application/json',
  'Accept': 'application/json',
  'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}

response = requests.request('GET', url, headers=headers)
response.json()

← Back to accounts index | Back to main index